Register a domain and help support LQ
Go Back > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Slackware This Forum is for the discussion of Slackware Linux.


  Search this Thread
Old 12-02-2004, 08:42 AM   #1
Registered: Jan 2004
Location: new zealand
Distribution: Mandrake,Slackware
Posts: 165

Rep: Reputation: 30
slack 9 installing php5 and apache2


I have a slackware webserver running php4.? sql and apache. Id like to upgrade php4 to php5 and at the same time i may aswell update the apache that comes with slack 9 to apache2 (if its not already). can anybody give me some advice with my future venture?

I installed the original php and apache simply using the OS installer this time i believe ill have to compile the source. most of the documentation iv found on how to do this expects the reader to have somewhat more knowledge than my newbie talents can provide.

Ill have to uninstall apache and php before doing this or can i upgrade?

Old 12-02-2004, 10:44 AM   #2
LQ Guru
Registered: Jan 2001
Posts: 24,147

Rep: Reputation: 229Reputation: 229Reputation: 229
First see if anyone's created slackware packages at as it will make your install process more easily. And I'd suggest going from one major version to the next, uninstall first then install new versions.
Old 12-02-2004, 06:38 PM   #3
Registered: Jan 2004
Location: new zealand
Distribution: Mandrake,Slackware
Posts: 165

Original Poster
Rep: Reputation: 30
Thanks for your reply.

There are packages on that site for slack 9 9.1 and 10. I think i have 9.2. is it likely the 9.1 packages will work?


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
Apache2 and PHP5 SpiderIRE Linux - Software 3 09-30-2005 03:25 PM
Apache2 and PHP5 rul3r Slackware 7 09-11-2005 05:21 PM
Apache2 + PHP5.0.3 24jedi *BSD 1 07-21-2005 03:07 PM
installing apache2+php5+mysql4 problem yangying Linux - Software 5 04-21-2005 01:24 AM
Installing Apache2 and PHP5 biglaz Linux - General 1 10-15-2004 10:42 PM

All times are GMT -5. The time now is 08:32 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration